Name: Xbae
Version: 4.50.93
Release: alt1

Summary: The Motif matrix and caption widgets
License: MIT
Group: System/Libraries
Url: http://xbae.sourceforge.net/

Source: http://prdownloads.sourceforge.net/xbae/%name-%version.tar.bz2
Patch0: Xbae-4.50.93-alt1-configure-scripts_Makefile.patch

%def_disable static

# Automatically added by buildreq on Sun Jun 20 2004
BuildRequires: XFree86-devel XFree86-libs ctags gcc-c++ gcc-g77 libstdc++-devel man openmotif-devel xpm-devel

%package -n lib%name
Summary: The %name Widget Set
Group: System/Libraries

%package -n lib%name-devel
Summary: Header files for %name development
Group: Development/C
Requires: lib%name = %version-%release
Provides: %name-devel = %version
Obsoletes: %name-devel

%package -n lib%name-devel-static
Summary: Static library for %name development
Group: Development/C
Requires: lib%name-devel = %version-%release
Provides: %name-devel-static = %version
Obsoletes: %name-devel-static

%description
This package provides the Motif matrix widget used in Xacc, as well as
the Motif caption widget. The matrix widget is widely used and will
display up to four billion rows of data in a spreadsheet-like form.
The Motif caption widget is a simple Motif manager widget that
associates a label with a child.  You will need to have either Motif
or LessTif installed in order to use %name's widgets.

%description -n lib%name
This package provides the Motif matrix widget used in Xacc, as well as
the Motif caption widget. The matrix widget is widely used and will
display up to four billion rows of data in a spreadsheet-like form.
The Motif caption widget is a simple Motif manager widget that
associates a label with a child.  You will need to have either Motif
or LessTif installed in order to use %name's widgets.

%description -n lib%name-devel
This package provides the Motif matrix widget used in Xacc, as well as
the Motif caption widget. The matrix widget is widely used and will
display up to four billion rows of data in a spreadsheet-like form.
The Motif caption widget is a simple Motif manager widget that
associates a label with a child.  You will need to have either Motif
or LessTif installed in order to use %name's widgets.

This package provides the libraries, include files, and other
resources needed for developing %name applications.

%description -n lib%name-devel-static
This package provides the Motif matrix widget used in Xacc, as well as
the Motif caption widget. The matrix widget is widely used and will
display up to four billion rows of data in a spreadsheet-like form.
The Motif caption widget is a simple Motif manager widget that
associates a label with a child.  You will need to have either Motif
or LessTif installed in order to use %name's widgets.

This package provides the static library needed for developing
statically linked %name applications.

%prep
%setup -q
%patch0 -p1


%build
autoconf
CFLAGS="$RPM_OPT_FLAGS" ./configure \
	--prefix=%_x11dir \
	--enable-shared \
	%{subst_enable static} \
	#
%make_build

%install
%make_install install DESTDIR=$RPM_BUILD_ROOT
%__rm -rf docs
%__mkdir_p docs
%__cp -a $RPM_BUILD_ROOT{%_x11dir,%_x11datadir}/%name/* docs/

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files -n lib%name
%_x11libdir/*so.*
%doc docs/*

%files -n lib%name-devel
%_x11includedir/*
%_x11mandir/man?/*
%_x11libdir/*so

%if_enabled static
%files -n lib%name-devel-static
%_x11libdir/*.a
%endif

%changelog
* Sun Jun 20 2004 Yury A. Zotov <yz@altlinux.ru> 4.50.93-alt1
- new version
- do not make scripts/Makefile in ./configure
- do not make in scripts/

* Sat Dec 13 2003 Yury A. Zotov <yz@altlinux.ru> 4.50.2-alt3
- do not package *.la files

* Wed Oct 29 2003 Yury A. Zotov <yz@altlinux.ru> 4.50.2-alt2
- build with openmotif

* Tue Oct 07 2003 Dmitry V. Levin <ldv@altlinux.org> 4.50.2-alt1
- Updated to 4.50.2.

* Thu Oct 24 2002 Dmitry V. Levin <ldv@altlinux.org> 4.50.0-alt1
- Updated to 4.50.0.

* Tue Dec 04 2001 Dmitry V. Levin <ldv@alt-linux.org> 9.0.9-alt1
- ALT adaptions.
- Libificated.

* Wed Nov 28 2001 Than Ngo <than@redhat.com> 4.9.1-1
- separate rpm

* Mon Aug 7 2000 Tim Powers <timp@redhat.com>
- add Conflicts lesstif and lesstif-devel to fix bug #15617

* Tue Aug 1 2000 Tim Powers <timp@redhat.com>
- added postun section, fix bug #15001

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Sat Jul 22 2000 Tim Powers <timp@redhat.com>
- fixed missing BuildPreReq

* Wed Jul 12 2000 Tim Powers <timp@redhat.com>
- patched to compile cleanly (patch2)

* Mon Jul 10 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Apr 26 2000 TIm Powers <timp@redhat.com>
- updated to 4.7

* Thu Dec 23 1999 Tim Powers <timp@redhat.com>
- rebuilt for 6.2

* Tue Aug 17 1999 Tim Powers <timp@redhat.com>
- rebuilt, not including examples

* Mon Aug 16 1999 Bill Nottingham <notting@redhat.com>
- fix perms in docs

* Fri Jul 2 1999 Tim Powers <timp@redhat.com>
- built for 6.1

* Thu Apr 15 1999 Michael Maher <mike@redhat.com>
- built package for 6.0

* Wed Oct 06 1998 Michael Maher <mike@redhat.com>
- rebuilt pacakge; cleaned up spec file

* Wed May 20 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to Xabelin-4.6.2.4

* Mon Jan 26 1998 Otto Hammersmith <otto@redhat.com>
- built the package.
